#342 82546EB does not work with Supermicro X9SCi-LN4F

closed
None
in-kernel_driver
1
2014-03-27
2012-06-05
No

I've inserted a this dual-port card into PCI slot on the m/b, however the card is PCI-X 133Mhz, but it should be compatible AFAIK.

Kernel is 3.0.32 x86-64

It's recognized by the e1000 driver, but works very very ugly.

lspci:
08:00.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
08:00.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)

when the kernel boots, it throws this:
[ 87.148614] irq 21: nobody cared (try booting with the "irqpoll" option)
[ 87.148663] Pid: 1506, comm: which Not tainted 3.0.32-VMSTOR2-SCST-2.2-REV4314 #1
[ 87.148725] Call Trace:
[ 87.148764] <IRQ> [<ffffffff81079e2f>] ? report_bad_irq+0x2f/0xd0

[ 87.148839]
[<ffffffff8107a034>] ? note_interrupt+0x164/0x210

[ 87.148890]
[<ffffffff81182ead>] ? blk_done_softirq+0x6d/0x80

[ 87.148937]
[<ffffffff8107808a>] ? handle_irq_event_percpu+0x7a/0x140

[ 87.148986]
[<ffffffff81078183>] ? handle_irq_event+0x33/0x60

[ 87.149036]
[<ffffffff8107a669>] ? handle_fasteoi_irq+0x49/0xe0

[ 87.149085]
[<ffffffff81003ec5>] ? handle_irq+0x15/0x20

[ 87.149131]
[<ffffffff81003693>] ? do_IRQ+0x53/0xd0

[ 87.149179]
[<ffffffff813dfa53>] ? common_interrupt+0x13/0x13

[ 87.149227] <EOI>
[<ffffffff81088e01>] ? find_get_page+0x31/0x90

[ 87.149303]
[<ffffffff81088de8>] ? find_get_page+0x18/0x90

[ 87.149350]
[<ffffffff81089df8>] ? filemap_fault+0x98/0x430

[ 87.149398]
[<ffffffff810a45c2>] ?
do_fault+0x52/0x4b0
[ 87.149449] [<ffffffff810a3259>] ? free_pgtables+0x49/0xd0
[ 87.149498] [<ffffffff810a4aad>] ? handle_pte_fault+0x8d/0xb50
[ 87.149548] [<ffffffff813dfa4e>] ? common_interrupt+0xe/0x13
[ 87.149595] [<ffffffff8101fa57>] ? do_page_fault+0x137/0x3c0
[ 87.149645] [<ffffffff810aa1fa>] ? mmap_region+0x24a/0x5d0
[ 87.149693] [<ffffffff810a9697>] ? get_unmapped_area+0x87/0x120
[ 87.149739] [<ffffffff813dfc5f>] ? page_fault+0x1f/0x30
[ 87.149784] handlers:
[ 87.149825] [<ffffffff8127dd60>] e1000_intr
[ 87.149894] Disabling IRQ #21

/proc/interrupts:
21: 100001 0 0 0 IO-APIC-fasteoi eth0
22: 0 0 0 0 IO-APIC-fasteoi eth1

And then interrupts stop coming in. Card works, but latency is like 50-60ms :(

I've got a buggy card or a motherboard maybe? Broken PCI-to-PCI-E bridge?

Discussion

  • Igor Novgorodov

    Igor Novgorodov - 2012-06-05
    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -5,41 +5,40 @@
     It's recognized by the e1000 driver, but works very very ugly.
    
     lspci:
    -
    -08:00.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
    -08:00.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
    +    08:00.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
    +    08:00.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
    
     when the kernel boots, it throws this:
    -[   87.148614] irq 21: nobody cared (try booting with the "irqpoll" option)
    -[   87.148663] Pid: 1506, comm: which Not tainted 3.0.32-VMSTOR2-SCST-2.2-REV4314 #1
    -[   87.148725] Call Trace:
    -[   87.148764]  <IRQ>  [<ffffffff81079e2f>] ? __report_bad_irq+0x2f/0xd0
    -[   87.148839]  [<ffffffff8107a034>] ? note_interrupt+0x164/0x210
    -[   87.148890]  [<ffffffff81182ead>] ? blk_done_softirq+0x6d/0x80
    -[   87.148937]  [<ffffffff8107808a>] ? handle_irq_event_percpu+0x7a/0x140
    -[   87.148986]  [<ffffffff81078183>] ? handle_irq_event+0x33/0x60
    -[   87.149036]  [<ffffffff8107a669>] ? handle_fasteoi_irq+0x49/0xe0
    -[   87.149085]  [<ffffffff81003ec5>] ? handle_irq+0x15/0x20
    -[   87.149131]  [<ffffffff81003693>] ? do_IRQ+0x53/0xd0
    -[   87.149179]  [<ffffffff813dfa53>] ? common_interrupt+0x13/0x13
    -[   87.149227]  <EOI>  [<ffffffff81088e01>] ? find_get_page+0x31/0x90
    -[   87.149303]  [<ffffffff81088de8>] ? find_get_page+0x18/0x90
    -[   87.149350]  [<ffffffff81089df8>] ? filemap_fault+0x98/0x430
    -[   87.149398]  [<ffffffff810a45c2>] ? __do_fault+0x52/0x4b0
    -[   87.149449]  [<ffffffff810a3259>] ? free_pgtables+0x49/0xd0
    -[   87.149498]  [<ffffffff810a4aad>] ? handle_pte_fault+0x8d/0xb50
    -[   87.149548]  [<ffffffff813dfa4e>] ? common_interrupt+0xe/0x13
    -[   87.149595]  [<ffffffff8101fa57>] ? do_page_fault+0x137/0x3c0
    -[   87.149645]  [<ffffffff810aa1fa>] ? mmap_region+0x24a/0x5d0
    -[   87.149693]  [<ffffffff810a9697>] ? get_unmapped_area+0x87/0x120
    -[   87.149739]  [<ffffffff813dfc5f>] ? page_fault+0x1f/0x30
    -[   87.149784] handlers:
    -[   87.149825] [<ffffffff8127dd60>] e1000_intr
    -[   87.149894] Disabling IRQ #21
    +    [   87.148614] irq 21: nobody cared (try booting with the "irqpoll" option)
    +    [   87.148663] Pid: 1506, comm: which Not tainted 3.0.32-VMSTOR2-SCST-2.2-REV4314 #1
    +    [   87.148725] Call Trace:
    +    [   87.148764]  <IRQ>  [<ffffffff81079e2f>] ? __report_bad_irq+0x2f/0xd0
    +    [   87.148839]  [<ffffffff8107a034>] ? note_interrupt+0x164/0x210
    +    [   87.148890]  [<ffffffff81182ead>] ? blk_done_softirq+0x6d/0x80
    +    [   87.148937]  [<ffffffff8107808a>] ? handle_irq_event_percpu+0x7a/0x140
    +    [   87.148986]  [<ffffffff81078183>] ? handle_irq_event+0x33/0x60
    +    [   87.149036]  [<ffffffff8107a669>] ? handle_fasteoi_irq+0x49/0xe0
    +    [   87.149085]  [<ffffffff81003ec5>] ? handle_irq+0x15/0x20
    +    [   87.149131]  [<ffffffff81003693>] ? do_IRQ+0x53/0xd0
    +    [   87.149179]  [<ffffffff813dfa53>] ? common_interrupt+0x13/0x13
    +    [   87.149227]  <EOI>  [<ffffffff81088e01>] ? find_get_page+0x31/0x90
    +    [   87.149303]  [<ffffffff81088de8>] ? find_get_page+0x18/0x90
    +    [   87.149350]  [<ffffffff81089df8>] ? filemap_fault+0x98/0x430
    +    [   87.149398]  [<ffffffff810a45c2>] ? __do_fault+0x52/0x4b0
    +    [   87.149449]  [<ffffffff810a3259>] ? free_pgtables+0x49/0xd0
    +    [   87.149498]  [<ffffffff810a4aad>] ? handle_pte_fault+0x8d/0xb50
    +    [   87.149548]  [<ffffffff813dfa4e>] ? common_interrupt+0xe/0x13
    +    [   87.149595]  [<ffffffff8101fa57>] ? do_page_fault+0x137/0x3c0
    +    [   87.149645]  [<ffffffff810aa1fa>] ? mmap_region+0x24a/0x5d0
    +    [   87.149693]  [<ffffffff810a9697>] ? get_unmapped_area+0x87/0x120
    +    [   87.149739]  [<ffffffff813dfc5f>] ? page_fault+0x1f/0x30
    +    [   87.149784] handlers:
    +    [   87.149825] [<ffffffff8127dd60>] e1000_intr
    +    [   87.149894] Disabling IRQ #21
    
     /proc/interrupts:
    - 21:     100001          0          0          0   IO-APIC-fasteoi   eth0
    - 22:          0          0          0          0   IO-APIC-fasteoi   eth1
    +     21:     100001          0          0          0   IO-APIC-fasteoi   eth0
    +     22:          0          0          0          0   IO-APIC-fasteoi   eth1
    
     And then interrupts stop coming in. Card works, but latency is like 50-60ms :(
    
     
  • Tushar Dave

    Tushar Dave - 2012-06-05

    Sorry to hear that you have this issue. I have heard of similar issue before but that wasn't disclosed to be our driver or device issue.
    As you see the message - "irq 21: nobody cared (try booting with the "irqpoll" option)" - means no devices that are sharing this interrupt line are claiming an interrupt. This could be because PCI interrupts aren't routed correctly on your board.

    Can you please save output of following commands into file and send it to me.
    (Please run these commands as root)
    - lspci -s 08:00.0 -vvv
    - lspci -s 08:00.1 -vvv
    - cat /proc/interrupt

    • assigned_to: Tushar Dave
     
  • Igor Novgorodov

    Igor Novgorodov - 2012-06-06

    Thanks for the info. It seems that there's some problems with compatibility between PCI-X and PCI. I'll try a simple PCI card in this motherboard and this PCI-X card in a motherboard with native PCI-X slots.

    The output you requested is attached.

     
  • Igor Novgorodov

    Igor Novgorodov - 2012-06-06

    The card seems to work fine in Supermicro X7SBE with native PCI-X ports.

     
    • Tushar Dave

      Tushar Dave - 2012-06-14

      Can you please dump the full eeprom of card using ethtool -e ethx
      and PCI-X config space using lspci -s 08:00.0 -xxxx
      Also please post output of cat /proc/interrupts from Supermicro X7SBE with native PCI-X ports (when everything works fine)

      Thanks.

       
  • Tushar Dave

    Tushar Dave - 2012-07-17
    • status: open --> pending
     
  • Todd Fujinaka

    Todd Fujinaka - 2013-07-02
    • status: pending --> closed
     
  • Todd Fujinaka

    Todd Fujinaka - 2013-07-02

    Closing due to inactivity. Please reopen if there are further problems.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks